deb1e4
#!/bin/sh
deb1e4
#
deb1e4
#  Remove the ACSS implementation from OpenSSH, and disable its use so that the
deb1e4
#  rest of the package can still be built.
deb1e4
#
deb1e4
> acss.c
de2e7a
patch -sp0 << EOF
de2e7a
--- cipher.c.orig       2005-07-17 09:02:10.000000000 +0200
de2e7a
+++ cipher.c    2005-09-06 14:52:06.000000000 +0200
Jan F 8ecc9b
@@ -45,6 +45,9 @@
de2e7a
de2e7a
 /* compatibility with old or broken OpenSSL versions */
de2e7a
 #include "openbsd-compat/openssl-compat.h"
de2e7a
+#undef USE_CIPHER_ACSS
Jan F 8ecc9b
+#undef EVP_acss
deb1e4
+#define EVP_acss NULL
de2e7a
deb1e4
 extern const EVP_CIPHER *evp_ssh1_bf(void);
deb1e4
 extern const EVP_CIPHER *evp_ssh1_3des(void);
deb1e4
EOF